Bug 500880 - Read error when Oracle EDI reads from bash script generated text file
Read error when Oracle EDI reads from bash script generated text file
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bash (Show other bugs)
4.7
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Roman Rakus
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 12:20 EDT by Brad
Modified: 2014-01-12 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-06 07:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad 2009-05-14 12:20:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

We are seeing errors in our custom processes that read through a .txt file to process files. Request "NETS EDI 947 INBOUND INVENTORY MOVEMENT" errored at 3:46 this morning with the following error:

**Starts**27-APR-2009 03:46:01
ORACLE error 29284 in FDPSTP

Cause: FDPSTP failed due to ORA-29284: file read error
ORA-06512: at "SYS.UTL_FILE", line 94
ORA-06512: at "SYS.UTL_FILE", line 670
ORA-06512: at "APPS.NETS_EDI_947", line 561
ORA-06512: at line 1

This is something we have been seeing on similar custom EDI processes since migrating to 64-bit. For this process, it seems to occur around this time in the early morning, along with another process.

Do you see any logging of errors from this time that would indicate why this file read error is occurring? 


umask 111
if [ -z $1 ] || [ -z $2 ]
then
echo "Usage: ./filelist.sh /dba/apps/temp/edi/inbound/846/ 846list.txt"
exit;
fi
cd $1
if [ -f $2 ]
then
rm $2
fi
#ls *.bin > $2
ls | grep .bin > $2

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
umask 111
if [ -z $1 ] || [ -z $2 ]
then
echo "Usage: ./filelist.sh /dba/apps/temp/edi/inbound/846/ 846list.txt"
exit;
fi
cd $1
if [ -f $2 ]
then
rm $2
fi
#ls *.bin > $2
ls | grep .bin > $2
Comment 1 Roman Rakus 2009-05-15 07:08:41 EDT
>**Starts**27-APR-2009 03:46:01
>ORACLE error 29284 in FDPSTP
>
>Cause: FDPSTP failed due to ORA-29284: file read error
>ORA-06512: at "SYS.UTL_FILE", line 94
>ORA-06512: at "SYS.UTL_FILE", line 670
>ORA-06512: at "APPS.NETS_EDI_947", line 561
>ORA-06512: at line 1

And this means?
I don't know where you see the problem?
Comment 2 Brad 2009-05-18 07:07:23 EDT

request 5634986

NETS EDI 945 INBOUND SHIP CONFIRM OMS

Requestor BDOWNS

Parent 563488

Completed Error





Beginning and failure point of the oracle Concurrent request (job that processes the txt file)





+---------------------------------------------------------------------------+

Shipping Execution: Version : 11.5.0



Copyright (c) 1979, 1999, Oracle Corporation. All rights reserved.



NETSEDI945SHIPOMS module: NETS EDI 945 INBOUND SHIP CONFIRM OMS

+---------------------------------------------------------------------------+



Current system time is 07-MAY-2009 11:31:39



+---------------------------------------------------------------------------+



**Starts**07-MAY-2009 11:31:39

**Ends**07-MAY-2009 11:32:33

+---------------------------------------------------------------------------+

Start of log messages from FND_FILE

+---------------------------------------------------------------------------+

p_file_list from top of ship_confirm945list.txt

File: 464887881.bin not in NETS_edi_945_stage

--------------- processing IMPORT_945_EDI ------------------------

p_file_name is 464887881.bin

------------------------------------------------------------------------------------



<snip>





--- NETS EDI SHIP CONFIRM API ---

fnd_global.user_id is    :3867

l_sc_trip_ship_method is :000001_FDX_P_FDX_HD

l_return_status is       :S

l_msg_count              :19

l_msg_data               :

Delivery was successfully confirmed

Wrote ship confirm nets_fulfill_reconcile record for delivery_id 13294650

Attempt Ship Confirm - Order Number : 6589455923828 Delivery ID: 13294675

--- NETS EDI SHIP CONFIRM API ---

fnd_global.user_id is    :3867

l_sc_trip_ship_method is :000001_FDX_P_FDX_HD

l_return_status is       :S

l_msg_count              :21

l_msg_data               :

Delivery was successfully confirmed

Wrote ship confirm nets_fulfill_reconcile record for delivery_id 13294675

ERROR in nets_edi_ship_confirm - ORA-29284: file read error

+---------------------------------------------------------------------------+

End of log messages from FND_FILE

+---------------------------------------------------------------------------+







From the CM server:



/apps/interfaces/in/945

[oracle@cos-oraprodcm01 945]$ tail 464910127.bin

HREC|OHL-NETSHOPS|001658520|ISW|O|13294650|20090507|23639373|9169026|8013217495305|OHL|OHN|20090507|FDX-Parcel-FDX Home Delivery|MULTISHIP||

DREC|1|1|0|EA|GLT080-01|1

DREF|661039471519952|1

DREF|SHN|1

SREC|1

HREC|OHL-NETSHOPS|001658520|ISW|O|13294675|20090507|23639390|9169026|6589455923828|OHL|OHN|20090507|FDX-Parcel-FDX Home Delivery|MULTISHIP||

DREC|1|1|0|EA|GLT080-01|1

DREF|661039471520019|1

DREF|SHN|1

SREC|1

[oracle@cos-oraprodcm01 945]$ tail -6 464910127.bin |od -c

0000000   S   R   E   C   |   1  \n   H   R   E   C   |   O   H   L   -

0000020   N   E   T   S   H   O   P   S   |   0   0   1   6   5   8   5

0000040   2   0   |   I   S   W   |   O   |   1   3   2   9   4   6   7

0000060   5   |   2   0   0   9   0   5   0   7   |   2   3   6   3   9

0000100   3   9   0   |   9   1   6   9   0   2   6   |   6   5   8   9

0000120   4   5   5   9   2   3   8   2   8   |   O   H   L   |   O   H

0000140   N   |   2   0   0   9   0   5   0   7   |   F   D   X   -   P

0000160   a   r   c   e   l   -   F   D   X       H   o   m   e       D

0000200   e   l   i   v   e   r   y   |   M   U   L   T   I   S   H   I

0000220   P   |   |  \n   D   R   E   C   |   1   |   1   |   0   |   E

0000240   A   |   G   L   T   0   8   0   -   0   1   |   1  \n   D   R

0000260   E   F   |   6   6   1   0   3   9   4   7   1   5   2   0   0

0000300   1   9   |   1  \n   D   R   E   F   |   S   H   N   |   1  \n

0000320   S   R   E   C   |   1  \n

0000327

[oracle@cos-oraprodcm01 945]$
Comment 3 Brad 2009-05-18 07:13:27 EDT
Hi Roman Rakus,

Thank you for the quick response.

This is all the information I have. 
Oracle EDI reads a text file generated by the shell script above.
The Oracle EDI process sometimes cannot seem to find a EOL and/or EOF.

I suggested adding a flock and a sync to the end of the shell script.

If you have any ideas or suggestions great if not that's okay also.
Comment 4 Roman Rakus 2009-06-08 03:43:58 EDT
You can contact our support at https://www.redhat.com/apps/support/

Note You need to log in before you can comment on or make changes to this bug.